Skip to content

Accounts

All operations require authentication.

5 operationsv2/zimbra/platform
Agent setup

List email accountsProduction

GET
/v2/zimbra/platform/{platformId}/account

Returns the email accounts of the platform with their current state. Filter them by organizationId, organizationLabel, domainId, email or offer.

Path parameters

platformId
required
stringuuid

Platform ID

Query parameters

domainId
stringuuid

Filter by Domain identifier

email
string

Filter by email

offer
OfferEnum

Filter by offer

ValuesPROSTARTER
organizationId
stringuuid

Filter by organization identifier

organizationLabel
string

Filter by organization label

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AccountResponse[]successful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
AccountCurrentState

Object representing account

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
AccountTargetSpec

Object representing account

400objectError 400 response
404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" } }]

Get an email accountProduction

GET
/v2/zimbra/platform/{platformId}/account/{accountId}

Returns the email address, offer, slot, quota usage, contact information and detailed status of the email account, with its ongoing tasks.

Path parameters

accountId
required
stringuuid

Account ID

platformId
required
stringuuid

Platform ID

Response

200AccountResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
AccountCurrentState

Object representing account

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
AccountTargetSpec

Object representing account

400objectError 400 response
404objectError 404 response

Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/account/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}

Create an email accountProduction

POST
/v2/zimbra/platform/{platformId}/account

Creates an email account from its email, password, offer and slotId. The domain must be ready and the slot must match the offer. Creation is asynchronous: follow resourceStatus and currentTasks.

Path parameters

platformId
required
stringuuid

Platform ID

Request body (required)

targetSpec
required
AccountPostTargetSpec

Target organization specification

Response

200AccountResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
AccountCurrentState

Object representing account

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
AccountTargetSpec

Object representing account

400objectError 400 response
404objectError 404 response
409objectError 409 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}

Delete an email accountProduction

DELETE
/v2/zimbra/platform/{platformId}/account/{accountId}

Deletes the email account. An account blocked for spam cannot be deleted.

Path parameters

accountId
required
stringuuid

Account ID

platformId
required
stringuuid

Platform ID

Response

200—successful operation

Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/account/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an email accountProduction

PUT
/v2/zimbra/platform/{platformId}/account/{accountId}

Updates the email address, password, names, contact information, visibility in the global address list (hideInGal) or quota limit of the email account. When set, checksum must match the current checksum of the account, otherwise the update is rejected.

Path parameters

accountId
required
stringuuid

Account ID

platformId
required
stringuuid

Platform ID

Request body (required)

checksum
string

Known checksum of the resource, allowing to prevent unwanted side effects

targetSpec
required
AccountPutTargetSpec

Target account specification

Response

200AccountResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
AccountCurrentState

Object representing account

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
AccountTargetSpec

Object representing account

400objectError 400 response
404objectError 404 response
409objectError 409 response
412objectError 412 response

Example uses accountId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/account/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "detailedStatus": [ { "details": "string", "link": "string", "status": "BILLINGLOCKED" } ], "displayName": "string", "domainId": "00000000-0000-0000-0000-000000000000", "email": "string", "firstName": "string", "hideInGal": true, "lastConnectionAt": "2024-01-01T12:00:00Z", "lastName": "string", "offer": "PRO", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "quota": { "additional": 0, "available": 0, "limit": 0, "maximum": 0, "offer": 0, "used": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z", "slotId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "contactInformation": { "city": "string", "company": "string", "country": "string", "faxNumber": "string", "mobileNumber": "string", "office": "string", "phoneNumber": "string", "postcode": "string", "profession": "string", "service": "string", "street": "string" }, "description": "string", "displayName": "string", "email": "string", "firstName": "string", "hideInGal": true, "lastName": "string", "quota": { "limit": 0 }, "quotaRefreshedAt": "2024-01-01T12:00:00Z" }}